Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.urls
Class StandardXYURLGenerator

    java.lang.Object
      org.jfree.chart.urls.StandardXYURLGenerator

All Implemented Interfaces:
  java.io.Serializable, XYURLGenerator

Direct Known Subclasses:
  StandardXYZURLGenerator

public class StandardXYURLGenerator
extends java.lang.Object
implements XYURLGenerator, java.io.Serializable

A URL generator.

Author:
  Richard Atkinson
See Also:
  Serialized Form

Constructor Summary
`StandardXYURLGenerator()` Blank constructor
`StandardXYURLGenerator(java.lang.String sPrefix)` Constructor that overrides default prefix to the URL.
`StandardXYURLGenerator(java.lang.String prefix, java.lang.String seriesParameterName, java.lang.String itemParameterName)` Constructor that overrides all the defaults

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests this generator for equaliaty with an arbitrary object.
`java.lang.String` | `generateURL(XYDataset dataset, int series, int item)` Generates a URL for a particular item within a series.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardXYURLGenerator

    public StandardXYURLGenerator()

  Blank constructor

### StandardXYURLGenerator

    public StandardXYURLGenerator(java.lang.String sPrefix)

  Constructor that overrides default prefix to the URL.

Parameters:
  `sPrefix` - the prefix to the URL

### StandardXYURLGenerator

    public StandardXYURLGenerator(java.lang.String prefix,
                                  java.lang.String seriesParameterName,
                                  java.lang.String itemParameterName)

  Constructor that overrides all the defaults

Parameters:
  `prefix` - the prefix to the URL.
  `seriesParameterName` - the name of the series parameter to go in each URL.
  `itemParameterName` - the name of the item parameter to go in each URL.

Method Detail

### generateURL

    public java.lang.String generateURL(XYDataset dataset,
                                        int series,
                                        int item)

  Generates a URL for a particular item within a series.

  Specified by:
    `generateURL` in interface `XYURLGenerator`
  Parameters:
    `dataset` - the dataset.
    `series` - the series number (zero-based index).
    `item` - the item number (zero-based index).
  Returns:
    the generated URL.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this generator for equaliaty with an arbitrary object.

  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    a boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD